%define	name	SearchAndRescue
%define	version 0.7.19
%define release 1mdk

%define summary	The Search and Rescue helicopter simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	ftp://fox.mit.edu/pub/xsw/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Url: 		http://wolfpack.twu.net/SearchAndRescue/index.html
Requires:	libjsw1 libY2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildrequires:	libjsw1-devel libY2-devel Mesa-common-devel

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to 
create a plot based on positive goals such as saving victims in varying 
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft 
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to 
create their own missions and allowing experianced players to design their own 
aircraft and scenery.  

%prep
rm -rf $RPM_BUILD_ROOT
%setup
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure Linux -v --disable=arch-i686
make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man6 install

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="Amusement/Other"\\
	title="Search and Rescue" \
	longtitle="The Search and Rescue helicopter simulator"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS  HACKING  INSTALL  LICENSE  README
%{_gamesbindir}/*
%{_datadir}/games/%{name}
%{_mandir}/man6/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Mar 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.19-1mdk
- 0.7.19
- used png for icons

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.15-2mdk
- rebuild with new libjsw
- spec cleanup

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.15-1mdk
- 0.7.15

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-2mdk
- rebuild against new jsw

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-1mdk
- updated to 0.7e

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-2mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- fix compilation flags
	- added Mesa-common-devel to buildrequires
	- synced with Lenny's spec

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-1mdk
- updated to 0.7d
- fix install

* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7c-1mdk
- updated to 0.7c
- fix requires & added buildrequires

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- use egcs
- used specfile from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- corrected summary (Packager's law : any copy & paste will bring at least one error in specfile)

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.7-1mdk
- first Mandrake release
